package com.zhaohaoting.framework.mvchelper.okhttp.okhttp;

/**
 * author：Created by ZHT on 2017/11/2 10:26
 * email：526309416@qq.com
 * desc：下载
 */
public interface DownloadCallBack {

    /**
     * @param fileLocalPath 文件本地路径
     * @param contentLength 文件长度
     */
    void success(String fileLocalPath, long contentLength);

    void fault(Exception e);

    void progress(long current, long total);
}
